Skip to content

getAssetDepreciationHistory

READ

Get asset depreciation history.

POST /api/v1/accounting/getAssetDepreciationHistory
curl -X POST '<your-host>/api/v1/accounting/getAssetDepreciationHistory' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "fixedAssetId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "amount": 0,
      "taxAmount": 0,
      "journalId": "string",
      "depreciationRun": {
        "id": "string",
        "depreciationRunId": "string",
        "periodEnd": "string",
        "status": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "fixedAssetId": {
      "type": "string"
    }
  },
  "required": [
    "fixedAssetId"
  ]
}